<?xml version="1.0" encoding="iso8859-1" ?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    
    <xsl:output  mode="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"  />
   
    <xsl:template match="KimDaBa">
	<xsl:apply-templates select="options"/>
    </xsl:template>

    <xsl:template match="options" >
<html>
    <head>
	<title>ImageSearch</title>
	<script type="text/javascript" src="a.js"></script>
	<script type="text/javascript" src="util.js"></script>
	<script type="text/javascript" src="Search.js"></script>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    </head>
    <body onload="chargement();">
	<p>[<a href="Kimdaba.html">Home</a>]</p>
	<h1>Search for Images</h1>


<form action="search" onsubmit="return search(this)" method="get" id="formSearch" >
<table>
    <tr>
	<xsl:apply-templates match="option" mode="title" />
    </tr>
    <tr>
	<xsl:comment>option for groups ("USA", ...) are inserted with Javascript, and are set with the class "group", so we can use select them with CSS</xsl:comment>
	<xsl:apply-templates match="option" mode="value" />
    </tr>
    <tr>
	<xsl:apply-templates match="option" mode="yesno" />
    </tr>
</table>
    <input type="submit" value="Search"/>
	</form>
    </body>
</html>
    </xsl:template>

    <xsl:template match="option" mode="title" >
	<td><xsl:value-of select="@text"/></td>
    </xsl:template>

    <xsl:template match="option" mode="value" >
	<td>
	    <select size="10" multiple="multiple"  >
		<xsl:attribute name="id">value_<xsl:value-of select="@name"/></xsl:attribute>
		<xsl:apply-templates select="value"/>
	    </select>
	</td>
    </xsl:template>

    <xsl:template match="value">
	<option value="Santa Clara">
	    <xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
	    <xsl:value-of select="@value"/>
	</option>
    </xsl:template>
	    
    <xsl:template match="option" mode="yesno" >
	<td>    
	    <input type="radio" value="&amp;" > <xsl:attribute name="name">r_<xsl:value-of select="@name"/></xsl:attribute> AND </input> 
	    AND
	    <input type="radio" value="|" checked="checked" > <xsl:attribute name="name">r_<xsl:value-of select="@name"/></xsl:attribute> OR </input> 
	    OR
	</td>
    </xsl:template>


</xsl:stylesheet>
